<?php require_once("../../cms/cms.php"); ?>
<cms:template hidden='1' title='Adimpressions JSON Data' clonable='1'>
    <cms:folder name='test-folder' title='Test folder' />
</cms:template>

<script type="text/javascript" src="http://code.jquery.com/jquery-latest.min.js"></script>

<cms:if k_is_list>
    <cms:nl2br>
        {
         "pages": [
        <cms:pages masterpage=my_template folder=my_folder>
        {"page_title": "<cms:addslashes><cms:show k_page_title/></cms:addslashes>",
        "page_date":  "<cms:date k_page_date 'F j, Y'/>",
        "page_link":  "<cms:show k_page_link/>",
        "page_folder_name":  "<cms:show k_page_foldername/>"
        }
        <cms:if "<cms:not k_paginated_bottom/>">,</cms:if>
        </cms:pages>
        ]
        }

    </cms:nl2br>

    <ul id="listpages">
        <li>empty list</li>
    </ul>
    <button id="ajax-call">Get</button>

    <script>

        var nominee_list = $('#listpages');

          $("#ajax-call").on('click', function(e){

             e.preventDefault();

             $.ajax({
                url: '<cms:show k_site_link />assets/php/ajax/connect.php?file=adimpressions | ajax_template&folder=test-folder',
                dataType: 'json',
                type: 'GET'}).
                done(function(data){


                   var items = "";

                   for (var i = 0; i < data.pages.length; i++) {
                   items += '<li>';
                        items += '<a href="' + data.pages[i].page_link + '">' + data.pages[i].page_title + '</a>';
                        items += ' published on <em>' + data.pages[i].page_date + '</em>';
                        items += '</li>';
                   }
                   nominee_list.html(items);

             }).fail(function (jqXHR, textStatus){
                nominee_list.html("Response " + textStatus);
                });
          });

    </script>

</cms:if>
<?php COUCH::invoke(); ?>
